
// SAInstSDKUserSampleDlg.h : header file
//

#pragma once

// CSAInstSDKUserSampleDlg dialog
class CSAInstSDKUserSampleDlg : public CDialogEx
{
// Construction
public:
	CSAInstSDKUserSampleDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_SAINSTSDKUSERSAMPLE_DIALOG };
#endif

	SAInstrument& sa;

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	void MakeAndSendAPointCloud();

	bool stopSimScanning;
	void ProcessWaitingMessages();
	void Delay(double time, BOOL PWM);
	void SimulateLineScan();

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonLogon();
	afx_msg void OnBnClickedButtonSendPt();
	afx_msg void OnBnClickedButtonSendFrame();
	afx_msg void OnBnClickedButtonSendCircle();
	afx_msg void OnBnClickedButtonRemoveProbe();
	afx_msg void OnBnClickedButtonSendMultipleFrames();
	afx_msg void OnBnClickedButtonSendPtCloud();
	afx_msg void OnBnClickedButtonStartLineScan();
	afx_msg void OnBnClickedButtonStopLineScan();
	afx_msg void OnBnClickedButtonSendIjkPt();
	afx_msg void OnBnClickedButtonSendMultiInstXforms();
	afx_msg void OnClose();
	afx_msg void OnBnClickedButtonSendCmmArmPt();
	afx_msg void OnBnClickedButtonSendIjkPtArray();
};
